<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <PlatformTarget>x64</PlatformTarget>
    <PackageIcon>notifyIcon.ico</PackageIcon>
    <ApplicationIcon>notifyIcon.ico</ApplicationIcon>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Bat\**" />
    <EmbeddedResource Remove="Bat\**" />
    <None Remove="Bat\**" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="notifyIcon.ico" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="CoreWCF.Http" Version="1.8.0" />
    <PackageReference Include="CoreWCF.Primitives" Version="1.8.0" />
    <PackageReference Include="Grpc.AspNetCore" Version="2.76.0" />
    <PackageReference Include="Prism.Core" Version="8.1.97" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Ayay.SerilogLogs\Ayay.SerilogLogs.csproj" />
    <ProjectReference Include="..\SHH.Contracts.Grpc\SHH.Contracts.Grpc.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="notifyIcon.ico">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
  </ItemGroup>

</Project>
